Subject: Re: Problem with kernel loading in PPC IBM405 based board

From: Chris Zimman <[email-masked]>
Date: Wed, 11 Jun 2003 10:13:22 -0500

On Thu, Nov 06, 2003 at 08:05:59PM +0530, Rakesh jagota wrote:
>
> Hi all,
> I am working on PPC IBM 405 based processor board. I have kernel from
> "montavista" 2.4.17-mv121 version. I have tried to put the vmlinux image in
> the "SDRAM" after doing the all initialization (in boot level).
>
> We are loading the vmlinux in SDRAM at 0x00020000. I am not able to see any
> debug message on the serial port. I am not sure about the kernel jump
> location. Is there any way to find out the exact location to load the kernel
> and jump to proper location.

You can't just boot vmlinux directly -- depending on which boot monitor you're
using (eg. OSOpen, PPC/UBoot) you need to be using a different kernel
image.  If you're using OSOpen, you need zImage.treeboot.  If you're
using PPCBoot/UBoot, you need pImage.

--Chris

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/